<section class="section">
  <div class="container">
    <h1 class="title">Calculator</h1>
    <h2 class="subtitle">Simple calculator</h2>
  </div>
</section>
<section class="section">
  <div class="container">
    <div class="field">
      <div class="control">
        <div class="columns is-gapless is-multiline is-mobile">
          <div class="column is-full">
            <input
              *ngIf="!error"
              class="input"
              type="text"
              value="{{ screen }}"
              readonly
            />
            <input
              *ngIf="error"
              class="input is-danger"
              type="text"
              value="{{ error }}"
              readonly
            />
          </div>
          <div
            *ngFor="let button of buttons"
            class="column"
            [ngClass]="button.columnClass"
          >
            <calc-button
              [text]="button.text"
              (click)="button.onClick()"
            ></calc-button>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
